%define major 32
%define obtmajor 2
%define libobrender %mklibname obrender %{major}
%define libobt %mklibname obt %{obtmajor}
%define devname %mklibname %{name} -d

Summary:	Windowmanager based on the original blackbox-code
Name:		openbox
Version:	3.6.1
Release:	1
License:	BSD
Group:		Graphical desktop/Other
Url:		http://openbox.org/
Source0:	http://openbox.org/dist/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-3.5.0-rosa_customisation.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangoxft)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(sm)
Requires:	xsetroot
Suggests:	obconf

%description
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/*
%{_libexecdir}/openbox-autostart
%{_libexecdir}/openbox-xdg-autostart
%{_datadir}/man/man1/*
%{_datadir}/xsessions/*
%{_datadir}/gnome/wm-properties/openbox.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/themes/*
%{_datadir}/gnome-session/sessions/openbox-gnome-fallback.session
%{_datadir}/gnome-session/sessions/openbox-gnome.session

#----------------------------------------------------------------------------

%package -n %{libobrender}
Summary:	Openbox shared library
Group:		System/Libraries
Conflicts:	%{_lib}openbox29 < 3.5.2-3
Obsoletes:	%{_lib}openbox29 < 3.5.2-3

%description -n %{libobrender}
Openbox shared library.

%files -n %{libobrender}
%{_libdir}/libobrender.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libobt}
Summary:	Openbox shared library
Group:		System/Libraries
Conflicts:	%{_lib}openbox29 < 3.5.2-3
# libobt packages was named incorrectly...
%rename	%{_lib}obt29

%description -n %{libobt}
Openbox shared library.

%files -n %{libobt}
%{_libdir}/libobt.so.%{obtmajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files from openbox
Group:		Development/Other
Requires:	%{libobrender} = %{EVRD}
Requires:	%{libobt} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%files -n %{devname}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static

%make DEFAULT_MENU=%{_sysconfdir}/xdg/openbox/menu.xml

%install
%makeinstall_std

mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/start%{name} <<EOF
#!/bin/sh
%{_bindir}/xsetroot -solid Black
exec %{_bindir}/openbox-session
EOF

chmod 0755 %{buildroot}%{_bindir}/start%{name}

%find_lang %{name}

%changelog

* Wed Mar 30 2016 Denis Silakov <dsilakov@gmail.com> 3.6.1-1
- (3a7b89c) Fix lib subpackage names


